LineProfileTool.cpp File Reference
`#include "LineProfileTool.h"`
`#include "ImageWidget.h"`
`#include "Graph.h"`
`#include <ApplicationWindow.h>`
`#include "MultiLayer.h"`
`#include <QPoint>`
`#include <QImage>`
`#include <QMessageBox>`
`#include <QPainter>`
`#include <qwt_plot_canvas.h>`

## Macros

#define | sgn(x) ((x<0)?-1:((x>0)?1:0))

## Macro Definition Documentation

#define sgn | ( |  | x | ) | ((x<0)?-1:((x>0)?1:0))

Referenced by LineProfileTool::calculateLineProfile().